Can't compile GATK 3.6 from source

serineserine MelbourneMember

Hi there,

I'm trying to compile GATK 3.6 from source and it ain't working out for me :/

Here is my system specs, also showing there that I got master branch clone that I'm trying to complie

[uhs0]:software/source% git clone https://github.com/broadgsa/gatk.git
Cloning into 'gatk'...
remote: Counting objects: 174106, done.
remote: Total 174106 (delta 0), reused 0 (delta 0), pack-reused 174106
Receiving objects: 100% (174106/174106), 247.17 MiB | 5.20 MiB/s, done.
Resolving deltas: 100% (96858/96858), done.
Checking connectivity... done.
[uhs0]:software/source% cd gatk
[uhs0]:source/gatk% git status 
On branch master
Your branch is up-to-date with 'origin/master'.

nothing to commit, working directory clean
[uhs0]:source/gatk% echo $JAVA_HOME
/usr/local/openjdk/1.8
[uhs0]:source/gatk% java -version 
openjdk version "1.8.0-internal"
OpenJDK Runtime Environment (build 1.8.0-internal-ubuntu_2015_12_18_22_15-b00)
OpenJDK 64-Bit Server VM (build 25.0-b70, mixed mode)

[uhs0]:source/gatk% mvn -version
Apache Maven 3.3.9 (bb52d8502b132ec0a5a3f4c09453c07478323dc5; 2015-11-11T03:41:47+11:00)
Maven home: /mnt/lustre/projects/p2015110004/home/kirill/software/source/apache-maven-3.3.9
Java version: 1.8.0-internal, vendor: Oracle Corporation
Java home: /usr/local/openjdk/1.8/jvm/openjdk-1.8.0-internal/jre
Default locale: en_AU, platform encoding: UTF-8
OS name: "linux", version: "3.13.0-83-generic", arch: "amd64", family: "unix"

Here is last few lines with error messages. I get them by running mvn verify as suggested in several posts that I've read on GATK forum

[INFO] 
[INFO] --- maven-surefire-plugin:2.16:test (unit-tests) @ gatk-utils ---
[INFO] Tests are skipped.
[INFO] 
[INFO] >>> maven-javadoc-plugin:2.9.1:javadoc (extract-resource-bundle) > generate-sources @ gatk-utils >>>
[INFO] 
[INFO] --- gitdescribe-maven-plugin:2.0:gitdescribe (gitdescribe-initialize) @ gatk-utils ---
[INFO] 
[INFO] --- build-helper-maven-plugin:1.8:regex-property (fix-version-initialize) @ gatk-utils ---
[INFO] 
[INFO] <<< maven-javadoc-plugin:2.9.1:javadoc (extract-resource-bundle) < generate-sources @ gatk-utils <<<
[INFO] 
[INFO] --- maven-javadoc-plugin:2.9.1:javadoc (extract-resource-bundle) @ gatk-utils ---
[INFO] 
[INFO] --- maven-jar-plugin:2.4:jar (default-jar) @ gatk-utils ---
Downloading: https://repo.maven.apache.org/maven2/org/codehaus/plexus/plexus-io/2.0.2/plexus-io-2.0.2.jar
Downloading: https://repo.maven.apache.org/maven2/org/codehaus/plexus/plexus-archiver/2.1/plexus-archiver-2.1.jar
Downloading: https://repo.maven.apache.org/maven2/commons-lang/commons-lang/2.1/commons-lang-2.1.jar
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary:
[INFO] 
[INFO] GATK Root .......................................... SUCCESS [  0.885 s]
[INFO] GATK Aggregator .................................... SUCCESS [  1.439 s]
[INFO] GATK GSALib ........................................ SUCCESS [  0.959 s]
[INFO] GATK Utils ......................................... FAILURE [ 18.539 s]
[INFO] GATK Engine ........................................ SKIPPED
[INFO] GATK Tools Public .................................. SKIPPED
[INFO] External Example ................................... SKIPPED
[INFO] GATK Queue ......................................... SKIPPED
[INFO] GATK Queue Extensions Generator .................... SKIPPED
[INFO] GATK Queue Extensions Public ....................... SKIPPED
[INFO] GATK Aggregator Public ............................. SKIPPED
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 22.237 s
[INFO] Finished at: 2016-09-06T14:45:36+10:00
[INFO] Final Memory: 42M/244M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-jar-plugin:2.4:jar (default-jar) on project gatk-utils: Execution default-jar of goal org.apache.maven.plugins:maven-jar-plugin:2.4:jar failed: Plugin org.apache.maven.plugins:maven-jar-plugin:2.4 or one of its dependencies could not be resolved: The following artifacts could not be resolved: org.codehaus.plexus:plexus-archiver:jar:2.1, org.codehaus.plexus:plexus-io:jar:2.0.2, commons-lang:commons-lang:jar:2.1: Could not transfer artifact org.codehaus.plexus:plexus-archiver:jar:2.1 from/to central (https://repo.maven.apache.org/maven2): java.lang.RuntimeException: Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty -> [Help 1]
[ERROR] 
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR] 
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/PluginResolutionException
[ERROR] 
[ERROR] After correcting the problems, you can resume the build with the command
[ERROR]   mvn <goals> -rf :gatk-utils

If I run mvn compile I get further in the process and it now fails at GATK Engine rather then GATK Utils

[INFO] Changes detected - recompiling the module!
[INFO] Compiling 319 source files to /mnt/lustre/projects/p2015110004/home/kirill/software/source/gatk/public/gatk-utils/target/classes
[WARNING] /mnt/lustre/projects/p2015110004/home/kirill/software/source/gatk/public/gatk-utils/src/main/java/org/broadinstitute/gatk/utils/diffengine/BAMDiffableReader.java: Some input files use or override a deprecated API.
[WARNING] /mnt/lustre/projects/p2015110004/home/kirill/software/source/gatk/public/gatk-utils/src/main/java/org/broadinstitute/gatk/utils/diffengine/BAMDiffableReader.java: Recompile with -Xlint:deprecation for details.
[WARNING] /mnt/lustre/projects/p2015110004/home/kirill/software/source/gatk/public/gatk-utils/src/main/java/org/broadinstitute/gatk/utils/diffengine/DiffNode.java: Some input files use unchecked or unsafe operations.
[WARNING] /mnt/lustre/projects/p2015110004/home/kirill/software/source/gatk/public/gatk-utils/src/main/java/org/broadinstitute/gatk/utils/diffengine/DiffNode.java: Recompile with -Xlint:unchecked for details.
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building GATK Engine 3.6
[INFO] ------------------------------------------------------------------------
Downloading: https://repo.maven.apache.org/maven2/net/java/dev/jets3t/jets3t/0.8.1/jets3t-0.8.1.pom
Downloading: https://repo.maven.apache.org/maven2/org/simpleframework/simple-xml/2.0.4/simple-xml-2.0.4.pom
[INFO] ------------------------------------------------------------------------
[INFO] Reactor Summary:
[INFO] 
[INFO] GATK Root .......................................... SUCCESS [  0.516 s]
[INFO] GATK Aggregator .................................... SUCCESS [  0.440 s]
[INFO] GATK GSALib ........................................ SUCCESS [  0.794 s]
[INFO] GATK Utils ......................................... SUCCESS [  8.354 s]
[INFO] GATK Engine ........................................ FAILURE [  1.009 s]
[INFO] GATK Tools Public .................................. SKIPPED
[INFO] External Example ................................... SKIPPED
[INFO] GATK Queue ......................................... SKIPPED
[INFO] GATK Queue Extensions Generator .................... SKIPPED
[INFO] GATK Queue Extensions Public ....................... SKIPPED
[INFO] GATK Aggregator Public ............................. SKIPPED
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 11.407 s
[INFO] Finished at: 2016-09-06T14:49:39+10:00
[INFO] Final Memory: 33M/219M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal on project gatk-engine: Could not resolve dependencies for project org.broadinstitute.gatk:gatk-engine:jar:3.6: Failed to collect dependencies at net.java.dev.jets3t:jets3t:jar:0.8.1: Failed to read artifact descriptor for net.java.dev.jets3t:jets3t:jar:0.8.1: Could not transfer artifact net.java.dev.jets3t:jets3t:pom:0.8.1 from/to central (https://repo.maven.apache.org/maven2): java.lang.RuntimeException: Unexpected error: java.security.InvalidAlgorithmParameterException: the trustAnchors parameter must be non-empty -> [Help 1]
[ERROR] 
[ERROR] To see the full stack trace of the errors, re-run Maven with the -e switch.
[ERROR] Re-run Maven using the -X switch to enable full debug logging.
[ERROR] 
[ERROR] For more information about the errors and possible solutions, please read the following articles:
[ERROR] [Help 1] http://cwiki.apache.org/confluence/display/MAVEN/DependencyResolutionException
[ERROR] 
[ERROR] After correcting the problems, you can resume the build with the command
[ERROR]   mvn <goals> -rf :gatk-engine

I tried manually appending net.java.dev.jets3t:jets3t:jar:0.8.1 to public/repo directory, like this

[uhs0]:source/gatk% ls ../gatk_old/public/repo/net/java/dev/jets3t/jets3t/0.8.1/            
jets3t-0.8.1-javadocs.jar  jets3t-0.8.1.pom

but that didn't work

How do I go about compiling GATK 3.6 ?

Thanks,

Kirill

Answers

Sign In or Register to comment.